<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>Appendix&nbsp;A.&nbsp;Technical data</TITLE>
	<META NAME="GENERATOR" CONTENT="OpenOffice.org 2.2  (Linux)">
	<META NAME="CREATED" CONTENT="20080725;15280900">
	<META NAME="CHANGEDBY" CONTENT="Vincent Mahe">
	<META NAME="CHANGED" CONTENT="20080725;15280900">
	<STYLE TYPE="text/css">
	<!--
		@page { size: 21cm 29.7cm; margin: 2cm }
		P { margin-bottom: 0.21cm }
		H2 { margin-bottom: 0.21cm }
		H1 { margin-bottom: 0.21cm }
		H1.western { font-family: "Nimbus Roman No9 L", serif }
		H1.cjk { font-family: "Nimbus Sans L" }
		H1.ctl { font-family: "Lucidasans" }
	-->
	</STYLE>
</HEAD>
<BODY LANG="fr-FR" BGCOLOR="#ffffff" DIR="LTR">
<H1 CLASS="western">Appendix&nbsp;A.&nbsp;Technical data</H1>
<H2>ATL launch parameters</H2>
<P>If the ATL launcher is not configured, you must do it by following
the steps below :</P>
<UL TYPE=DISC>
	<LI><P>firstly verify your basic demo project is open in the
	workspace</P>
	<LI><P>double-click in the right on the ATL Transformation in order
	to add a new transformation configurator named by default
	&quot;New_configuration (1)&quot;, and select it</P>
	<LI><P>in the top, rename &quot;New_configuration (1)&quot; by
	&quot;uml2cwm&quot; for the transformation configurator</P>
	<LI><P>in the first TabFolder &quot;ATL Configuration&quot; side
	&quot;Project&quot; select the Project name :
	&quot;org.openembedd.basic.uml2cwm.demo&quot; in the combo</P>
	<LI><P>in the first TabFolder &quot;ATL Configuration&quot; side
	&quot;Project&quot; select the ATL file which appears :
	&quot;org.openembedd.basic.uml2cwm.demo/atl/umlclass2cwmrelational.atl&quot;
	in the combo</P>
	<LI><P>in the first TabFolder &quot;ATL Configuration&quot; side
	&quot;Metamodels&quot; you have to enter the 2 metamodels of the
	transformation, the first one uml and the second one cwm (relational
	part only) :</P>
	<UL TYPE=CIRCLE>
		<LI><P>select the line where Model is uml and click on button &quot;EMF
		Registry...&quot;, a list of metamodel registry appears, check if
		URI <STRONG>http://www.eclipse.org/uml2/2.1.0/UML</STRONG> exists
		and select it and finish by clicking OK; if it doesn't exist, you
		must install the UML2 prerequisite plugin as seen in 2.3)</P>
		<LI><P>select the line where Model is cwm and click on button &quot;EMF
		Registry...&quot;, a list of metamodel registry appears, check if
		URI <STRONG>http:///orgomg/cwm/resource/relational.ecore</STRONG>
		exists and select it and finish by clicking OK; if it doesn't
		exist, you must install the demo prerequisite plugin as seen in
		2.3)</P>
	</UL>
</UL>
<UL TYPE=DISC>
	<LI><P>in the first TabFolder &quot;ATL Configuration&quot; in the
	sides &quot;Source Models&quot; and &quot;Target Models&quot; you
	have to enter the 2 models IN and OUT used in the transformation :</P>
	<UL TYPE=CIRCLE>
		<LI><P>select the IN source model button &quot;Workspace...&quot;,
		a list of projects from your workspace appears, select in the
		project org.openembedd.basic.uml2cwm.demo the entry model
		&quot;<STRONG>SalesRDB.uml</STRONG>&quot; which is in the &quot;model&quot;
		folder, and finish by clicking OK</P>
		<LI><P>select the OUT target model button &quot;Workspace...&quot;,
		a list of projects from your workspace appears, select in the
		project org.openembedd.basic.uml2cwm.demo the folder &quot;model&quot;
		and then write the name of the out model &quot;<STRONG>out.relational</STRONG>&quot;
		or &quot;<STRONG>SalesRDB.relational</STRONG>&quot; (in case you
		want keep the same name) in the zone of text in bottom, and finish
		by clicking OK</P>
	</UL>
	<LI><P>finish the configuration of the ATL launcher by clicking on
	the button &quot;Apply&quot; then on the button &quot;Run&quot; to
	run the ATL transformation, normally the file result
	“out.relational” or &quot;SalesRDB.relational&quot; is created
	or updated in the folder “model” project and you can then open
	it with the refexif editor of CWM</P>
</UL>
<P>You should obtain the configuration like below:</P>
<P ALIGN=CENTER><IMG SRC="../img/configuration_transformation_ATL_small.png" NAME="graphics17" ALIGN=LEFT WIDTH=667 HEIGHT=619 BORDER=0><BR CLEAR=LEFT><BR><BR>
</P>
</BODY>
</HTML>